Update ref for Scilab 6
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # This file must be used under the terms of the CeCILL.
21 # This source file is licensed as described in the file COPYING, which
22 # you should have received as part of this distribution.  The terms
23 # are also available at
24 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # This file must be used under the terms of the CeCILL.
31 # This source file is licensed as described in the file COPYING, which
32 # you should have received as part of this distribution.  The terms
33 # are also available at
34 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42 VPATH = @srcdir@
43 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
44 am__make_running_with_option = \
45   case $${target_option-} in \
46       ?) ;; \
47       *) echo "am__make_running_with_option: internal error: invalid" \
48               "target option '$${target_option-}' specified" >&2; \
49          exit 1;; \
50   esac; \
51   has_opt=no; \
52   sane_makeflags=$$MAKEFLAGS; \
53   if $(am__is_gnu_make); then \
54     sane_makeflags=$$MFLAGS; \
55   else \
56     case $$MAKEFLAGS in \
57       *\\[\ \   ]*) \
58         bs=\\; \
59         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
60           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
61     esac; \
62   fi; \
63   skip_next=no; \
64   strip_trailopt () \
65   { \
66     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
67   }; \
68   for flg in $$sane_makeflags; do \
69     test $$skip_next = yes && { skip_next=no; continue; }; \
70     case $$flg in \
71       *=*|--*) continue;; \
72         -*I) strip_trailopt 'I'; skip_next=yes;; \
73       -*I?*) strip_trailopt 'I';; \
74         -*O) strip_trailopt 'O'; skip_next=yes;; \
75       -*O?*) strip_trailopt 'O';; \
76         -*l) strip_trailopt 'l'; skip_next=yes;; \
77       -*l?*) strip_trailopt 'l';; \
78       -[dEDm]) skip_next=yes;; \
79       -[JT]) skip_next=yes;; \
80     esac; \
81     case $$flg in \
82       *$$target_option*) has_opt=yes; break;; \
83     esac; \
84   done; \
85   test $$has_opt = yes
86 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
87 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
88 pkgdatadir = $(datadir)/@PACKAGE@
89 pkgincludedir = $(includedir)/@PACKAGE@
90 pkglibdir = $(libdir)/@PACKAGE@
91 pkglibexecdir = $(libexecdir)/@PACKAGE@
92 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
93 install_sh_DATA = $(install_sh) -c -m 644
94 install_sh_PROGRAM = $(install_sh) -c
95 install_sh_SCRIPT = $(install_sh) -c
96 INSTALL_HEADER = $(INSTALL_DATA)
97 transform = $(program_transform_name)
98 NORMAL_INSTALL = :
99 PRE_INSTALL = :
100 POST_INSTALL = :
101 NORMAL_UNINSTALL = :
102 PRE_UNINSTALL = :
103 POST_UNINSTALL = :
104 build_triplet = @build@
105 host_triplet = @host@
106 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
107         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs
108 @NEED_JAVA_TRUE@am__append_1 = java
109 subdir = modules/atoms
110 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
111 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
112         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
113         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
114         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
115         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
116         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
117         $(top_srcdir)/m4/intel_compiler.m4 \
118         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
119         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
120         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
121         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
122         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
123         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
124         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
125         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
126         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
127         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
128         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
129 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
130         $(ACLOCAL_M4)
131 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
132 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
133 CONFIG_CLEAN_FILES =
134 CONFIG_CLEAN_VPATH_FILES =
135 AM_V_P = $(am__v_P_@AM_V@)
136 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
137 am__v_P_0 = false
138 am__v_P_1 = :
139 AM_V_GEN = $(am__v_GEN_@AM_V@)
140 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
141 am__v_GEN_0 = @echo "  GEN     " $@;
142 am__v_GEN_1 = 
143 AM_V_at = $(am__v_at_@AM_V@)
144 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
145 am__v_at_0 = @
146 am__v_at_1 = 
147 SOURCES =
148 DIST_SOURCES =
149 am__can_run_installinfo = \
150   case $$AM_UPDATE_INFO_DIR in \
151     n|no|NO) false;; \
152     *) (install-info --version) >/dev/null 2>&1;; \
153   esac
154 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
155 am__vpath_adj = case $$p in \
156     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
157     *) f=$$p;; \
158   esac;
159 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
160 am__install_max = 40
161 am__nobase_strip_setup = \
162   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
163 am__nobase_strip = \
164   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
165 am__nobase_list = $(am__nobase_strip_setup); \
166   for p in $$list; do echo "$$p $$p"; done | \
167   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
168   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
169     if (++n[$$2] == $(am__install_max)) \
170       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
171     END { for (dir in files) print dir, files[dir] }'
172 am__base_list = \
173   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
174   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
175 am__uninstall_files_from_dir = { \
176   test -z "$$files" \
177     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
178     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
179          $(am__cd) "$$dir" && rm -f $$files; }; \
180   }
181 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
182         "$(DESTDIR)$(libsciatoms_la_guidir)" \
183         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
184         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
185 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
186         $(libsciatoms_la_root_DATA) \
187         $(nobase_libsciatoms_la_icons_DATA)
188 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190 ACLOCAL = @ACLOCAL@
191 ALL_LINGUAS = @ALL_LINGUAS@
192 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
193 AMTAR = @AMTAR@
194 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
195 ANT = @ANT@
196 ANTLR = @ANTLR@
197 AR = @AR@
198 ARPACK_LIBS = @ARPACK_LIBS@
199 ASM3 = @ASM3@
200 AUTOCONF = @AUTOCONF@
201 AUTOHEADER = @AUTOHEADER@
202 AUTOMAKE = @AUTOMAKE@
203 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
204 AWK = @AWK@
205 BATIK = @BATIK@
206 BLAS_LIBS = @BLAS_LIBS@
207 CC = @CC@
208 CCACHE = @CCACHE@
209 CCDEPMODE = @CCDEPMODE@
210 CFLAGS = @CFLAGS@
211 CHECKSTYLE = @CHECKSTYLE@
212 COBERTURA = @COBERTURA@
213 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
214 COMMONS_IO = @COMMONS_IO@
215 COMMONS_LOGGING = @COMMONS_LOGGING@
216 CPP = @CPP@
217 CPPFLAGS = @CPPFLAGS@
218 CURL_CFLAGS = @CURL_CFLAGS@
219 CURL_CONFIG = @CURL_CONFIG@
220 CURL_LIBS = @CURL_LIBS@
221 CURL_VERSION = @CURL_VERSION@
222 CXX = @CXX@
223 CXXCPP = @CXXCPP@
224 CXXDEPMODE = @CXXDEPMODE@
225 CXXFLAGS = @CXXFLAGS@
226 CYGPATH_W = @CYGPATH_W@
227 DEFS = @DEFS@
228 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
229 DEPDIR = @DEPDIR@
230 DLLTOOL = @DLLTOOL@
231 DOCBOOK_ROOT = @DOCBOOK_ROOT@
232 DOXYGEN_BIN = @DOXYGEN_BIN@
233 DSYMUTIL = @DSYMUTIL@
234 DUMPBIN = @DUMPBIN@
235 ECHO_C = @ECHO_C@
236 ECHO_N = @ECHO_N@
237 ECHO_T = @ECHO_T@
238 ECJ = @ECJ@
239 EGREP = @EGREP@
240 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
241 EXEEXT = @EXEEXT@
242 F77 = @F77@
243 FFLAGS = @FFLAGS@
244 FFTW3_LIB = @FFTW3_LIB@
245 FFTW_ENABLE = @FFTW_ENABLE@
246 FGREP = @FGREP@
247 FLEXDOCK = @FLEXDOCK@
248 FLIBS = @FLIBS@
249 FOP = @FOP@
250 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
251 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
252 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
253 FREEHEP_IO = @FREEHEP_IO@
254 FREEHEP_UTIL = @FREEHEP_UTIL@
255 GENHTML = @GENHTML@
256 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
257 GIWS_BIN = @GIWS_BIN@
258 GLUEGEN2_RT = @GLUEGEN2_RT@
259 GMSGFMT = @GMSGFMT@
260 GMSGFMT_015 = @GMSGFMT_015@
261 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
262 GREP = @GREP@
263 GUI_ENABLE = @GUI_ENABLE@
264 HAVE_CXX11 = @HAVE_CXX11@
265 HDF5_CFLAGS = @HDF5_CFLAGS@
266 HDF5_LIBS = @HDF5_LIBS@
267 HELP_ENABLE = @HELP_ENABLE@
268 INSTALL = @INSTALL@
269 INSTALL_DATA = @INSTALL_DATA@
270 INSTALL_PROGRAM = @INSTALL_PROGRAM@
271 INSTALL_SCRIPT = @INSTALL_SCRIPT@
272 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
273 INTLLIBS = @INTLLIBS@
274 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
275 JAR = @JAR@
276 JAVA = @JAVA@
277 JAVAC = @JAVAC@
278 JAVAC_DEBUG = @JAVAC_DEBUG@
279 JAVADOC = @JAVADOC@
280 JAVAH = @JAVAH@
281 JAVASCI_ENABLE = @JAVASCI_ENABLE@
282 JAVA_ENABLE = @JAVA_ENABLE@
283 JAVA_G = @JAVA_G@
284 JAVA_HOME = @JAVA_HOME@
285 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
286 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
287 JDB = @JDB@
288 JEUCLID_CORE = @JEUCLID_CORE@
289 JGRAPHX = @JGRAPHX@
290 JHALL = @JHALL@
291 JLATEXMATH = @JLATEXMATH@
292 JLATEXMATH_FOP = @JLATEXMATH_FOP@
293 JOGL2 = @JOGL2@
294 JROSETTA_API = @JROSETTA_API@
295 JROSETTA_ENGINE = @JROSETTA_ENGINE@
296 JUNIT4 = @JUNIT4@
297 LAPACK_LIBS = @LAPACK_LIBS@
298 LCOV = @LCOV@
299 LD = @LD@
300 LDFLAGS = @LDFLAGS@
301 LEX = @LEX@
302 LEXLIB = @LEXLIB@
303 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
304 LIBICONV = @LIBICONV@
305 LIBINTL = @LIBINTL@
306 LIBM = @LIBM@
307 LIBOBJS = @LIBOBJS@
308 LIBS = @LIBS@
309 LIBTOOL = @LIBTOOL@
310 LIPO = @LIPO@
311 LN_S = @LN_S@
312 LOGGING_LEVEL = @LOGGING_LEVEL@
313 LOOKS = @LOOKS@
314 LTLIBICONV = @LTLIBICONV@
315 LTLIBINTL = @LTLIBINTL@
316 LTLIBOBJS = @LTLIBOBJS@
317 MAINT = @MAINT@
318 MAKEINFO = @MAKEINFO@
319 MANIFEST_TOOL = @MANIFEST_TOOL@
320 MATIO_CFLAGS = @MATIO_CFLAGS@
321 MATIO_ENABLE = @MATIO_ENABLE@
322 MATIO_LIBS = @MATIO_LIBS@
323 MKDIR_P = @MKDIR_P@
324 MPI_ENABLE = @MPI_ENABLE@
325 MSGCAT = @MSGCAT@
326 MSGFMT = @MSGFMT@
327 MSGFMT_015 = @MSGFMT_015@
328 MSGMERGE = @MSGMERGE@
329 NM = @NM@
330 NMEDIT = @NMEDIT@
331 OBJDUMP = @OBJDUMP@
332 OBJEXT = @OBJEXT@
333 OCAMLC = @OCAMLC@
334 OCAMLDEP = @OCAMLDEP@
335 OCAMLLEX = @OCAMLLEX@
336 OCAMLOPT = @OCAMLOPT@
337 OCAMLYACC = @OCAMLYACC@
338 OPENMPI_CC = @OPENMPI_CC@
339 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
340 OPENMPI_CXX = @OPENMPI_CXX@
341 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
342 OPENMPI_LIBS = @OPENMPI_LIBS@
343 OPENMP_CFLAGS = @OPENMP_CFLAGS@
344 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
345 OPENMP_ENABLE = @OPENMP_ENABLE@
346 OPENMP_LIBS = @OPENMP_LIBS@
347 OTOOL = @OTOOL@
348 OTOOL64 = @OTOOL64@
349 PACKAGE = @PACKAGE@
350 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
351 PACKAGE_NAME = @PACKAGE_NAME@
352 PACKAGE_STRING = @PACKAGE_STRING@
353 PACKAGE_TARNAME = @PACKAGE_TARNAME@
354 PACKAGE_URL = @PACKAGE_URL@
355 PACKAGE_VERSION = @PACKAGE_VERSION@
356 PATH_SEPARATOR = @PATH_SEPARATOR@
357 PCRE_CFLAGS = @PCRE_CFLAGS@
358 PCRE_CONFIG = @PCRE_CONFIG@
359 PCRE_LIBS = @PCRE_LIBS@
360 PCRE_VERSION = @PCRE_VERSION@
361 PKG_CONFIG = @PKG_CONFIG@
362 POSUB = @POSUB@
363 POW_LIB = @POW_LIB@
364 PYTHON = @PYTHON@
365 RANLIB = @RANLIB@
366 RELOCATABLE = @RELOCATABLE@
367 RT_LIB = @RT_LIB@
368 SAXON = @SAXON@
369 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
370 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
371 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
372 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
373 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
374 SCIRENDERER = @SCIRENDERER@
375 SCIRENDERER_CP = @SCIRENDERER_CP@
376 SCI_CFLAGS = @SCI_CFLAGS@
377 SCI_CXXFLAGS = @SCI_CXXFLAGS@
378 SCI_FFLAGS = @SCI_FFLAGS@
379 SCI_LDFLAGS = @SCI_LDFLAGS@
380 SED = @SED@
381 SET_MAKE = @SET_MAKE@
382 SET_RELOCATABLE = @SET_RELOCATABLE@
383 SHELL = @SHELL@
384 SKINLF = @SKINLF@
385 SPLINT = @SPLINT@
386 STRIP = @STRIP@
387 SWIG_BIN = @SWIG_BIN@
388 SWIG_JAVA = @SWIG_JAVA@
389 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
390 SWIG_SCILAB = @SWIG_SCILAB@
391 TCLTK_LIBS = @TCLTK_LIBS@
392 TCL_INC_PATH = @TCL_INC_PATH@
393 TK_INC_PATH = @TK_INC_PATH@
394 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
395 UMFPACK_ENABLE = @UMFPACK_ENABLE@
396 UMFPACK_LIB = @UMFPACK_LIB@
397 USE_NLS = @USE_NLS@
398 VERSION = @VERSION@
399 WITH_OCAML = @WITH_OCAML@
400 WITH_TKSCI = @WITH_TKSCI@
401 XCOS_ENABLE = @XCOS_ENABLE@
402 XGETTEXT = @XGETTEXT@
403 XGETTEXT_015 = @XGETTEXT_015@
404 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
405 XMKMF = @XMKMF@
406 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
407 XML_APIS_EXT = @XML_APIS_EXT@
408 XML_CONFIG = @XML_CONFIG@
409 XML_FLAGS = @XML_FLAGS@
410 XML_LIBS = @XML_LIBS@
411 XML_VERSION = @XML_VERSION@
412 X_CFLAGS = @X_CFLAGS@
413 X_EXTRA_LIBS = @X_EXTRA_LIBS@
414 X_LIBS = @X_LIBS@
415 X_PRE_LIBS = @X_PRE_LIBS@
416 YACC = @YACC@
417 YFLAGS = @YFLAGS@
418 abs_builddir = @abs_builddir@
419 abs_srcdir = @abs_srcdir@
420 abs_top_builddir = @abs_top_builddir@
421 abs_top_srcdir = @abs_top_srcdir@
422 ac_ct_AR = @ac_ct_AR@
423 ac_ct_CC = @ac_ct_CC@
424 ac_ct_CXX = @ac_ct_CXX@
425 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
426 ac_ct_F77 = @ac_ct_F77@
427 am__include = @am__include@
428 am__leading_dot = @am__leading_dot@
429 am__quote = @am__quote@
430 am__tar = @am__tar@
431 am__untar = @am__untar@
432 bindir = @bindir@
433 build = @build@
434 build_alias = @build_alias@
435 build_cpu = @build_cpu@
436 build_os = @build_os@
437 build_vendor = @build_vendor@
438 builddir = @builddir@
439 cxx_present = @cxx_present@
440 datadir = @datadir@
441 datarootdir = @datarootdir@
442 docdir = @docdir@
443 dvidir = @dvidir@
444 exec_prefix = @exec_prefix@
445 host = @host@
446 host_alias = @host_alias@
447 host_cpu = @host_cpu@
448 host_os = @host_os@
449 host_vendor = @host_vendor@
450 htmldir = @htmldir@
451 includedir = @includedir@
452 infodir = @infodir@
453 install_sh = @install_sh@
454 libdir = @libdir@
455 libexecdir = @libexecdir@
456 localedir = @localedir@
457 localstatedir = @localstatedir@
458 mandir = @mandir@
459 mkdir_p = @mkdir_p@
460 oldincludedir = @oldincludedir@
461 pdfdir = @pdfdir@
462 prefix = @prefix@
463 program_transform_name = @program_transform_name@
464 psdir = @psdir@
465 sbindir = @sbindir@
466 sharedstatedir = @sharedstatedir@
467 srcdir = @srcdir@
468 sysconfdir = @sysconfdir@
469 target_alias = @target_alias@
470 top_build_prefix = @top_build_prefix@
471 top_builddir = @top_builddir@
472 top_srcdir = @top_srcdir@
473 yacc_present = @yacc_present@
474 modulename = atoms
475
476 #### atoms : Conf files ####
477 libsciatoms_la_rootdir = $(mydatadir)
478 libsciatoms_la_root_DATA = license.txt 
479
480 #### atoms : init scripts ####
481 libsciatoms_la_etcdir = $(mydatadir)/etc
482 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
483
484 #### atoms : XML gui ####
485 libsciatoms_la_guidir = $(mydatadir)/gui
486 libsciatoms_la_gui_DATA = gui/atomsGui.xml
487
488 #### atoms : internal functions ####
489 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
490
491 #### atoms : icons files ####
492 #
493 # Generated with:
494 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
495 libsciatoms_la_iconsdir = $(mydatadir)/
496 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
497 images/icons/16x16/status/dialog-information.png \
498 images/icons/16x16/status/software-update-available.png \
499 images/icons/16x16/status/software-update-installed.png \
500 images/icons/16x16/status/software-update-notinstalled.png \
501 images/icons/16x16/status/software-update-notuptodate.png
502
503
504 # Where all the Scilab stuff is installed (macros, help, ...)
505 mydatadir = $(pkgdatadir)/modules/$(modulename)
506
507 # Set AM_* SCI detected settings
508 AM_CPPFLAGS = $(SCI_CPPFLAGS)
509 AM_CFLAGS = $(SCI_CFLAGS)
510 AM_CXXFLAGS = $(SCI_CXXFLAGS)
511 # append includes to AM_FFLAGS to manage fortran includes
512 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
513
514 # Tag shared libraries with the Scilab version
515 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
516
517 # splint options
518 SPLINT_OPTIONS = -weak -booltype BOOL
519
520 ########################### JAVA ######################################
521 #### We are delegating java compilation to ant... Thanks to that
522 #### the procedure will be the same with Microsoft Windows (C)
523 #### and Linux/Unix
524 #######################################################################
525 TARGETS_ALL = $(am__append_1)
526
527 ################ MACROS ######################
528 # Rule to build a macro
529 # NOT USED  AT THE MOMENT
530 SUFFIXES = .sci
531
532 ########### INSTALL DOCUMENTATION ###################
533
534 # Install documentation files into the right target
535 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
536 # automake needs the html files to be present which is not the case when
537 # we are building Scilab
538
539 # Where it should be installed
540 pkgdocdir = $(mydatadir)
541
542 # What is the mask of the help source
543 DOCMASKXML = *.xml
544
545 # What is the mask of the MathML sources
546 DOCMASKMML = *.mml
547
548 ########### INSTALL DATA ###################
549 # Install macros, help & demos
550 # Where it should be installed
551 pkgmacrosdir = $(mydatadir)
552 # Which directory we process
553 MACRODIRS = macros/
554 # Mask of the Scilab sources macros
555 MACROMASK = *.sci
556 # Mask of the Scilab executable sources macros
557 MACROBUILDMASK = *.sce
558 # Mask of the Scilab compiled macros
559 MACROBINMASK = *.bin
560 # List of the standard directory for tests
561 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
562 # Where the demos should be installed
563 pkgdemosdir = $(mydatadir)
564 # List of the standard directory for demos
565 DEMOS_DIR = demos
566 # List of the standard directory for examples
567 EXAMPLES_DIR = examples
568 # Where to export JAVA archives (.jar)
569 JARDIR = jar/
570 # JAR files mask
571 JARMASK = *.jar
572 # Chapter file
573 HELP_CHAPTERDIR = help/
574 HELP_CHAPTERFILE = addchapter.sce
575 HELP_CHAPTERLANG = en_US fr_FR pt_BR
576 all: all-am
577
578 .SUFFIXES:
579 .SUFFIXES: .sci .bin
580 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
581         @for dep in $?; do \
582           case '$(am__configure_deps)' in \
583             *$$dep*) \
584               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
585                 && { if test -f $@; then exit 0; else break; fi; }; \
586               exit 1;; \
587           esac; \
588         done; \
589         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
590         $(am__cd) $(top_srcdir) && \
591           $(AUTOMAKE) --foreign modules/atoms/Makefile
592 .PRECIOUS: Makefile
593 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
594         @case '$?' in \
595           *config.status*) \
596             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
597           *) \
598             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
599             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
600         esac;
601 $(top_srcdir)/Makefile.incl.am:
602
603 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
604         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
605
606 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
607         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
608 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
609         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
610 $(am__aclocal_m4_deps):
611
612 mostlyclean-libtool:
613         -rm -f *.lo
614
615 clean-libtool:
616         -rm -rf .libs _libs
617 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
618         @$(NORMAL_INSTALL)
619         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
620         if test -n "$$list"; then \
621           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
622           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
623         fi; \
624         for p in $$list; do \
625           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
626           echo "$$d$$p"; \
627         done | $(am__base_list) | \
628         while read files; do \
629           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
630           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
631         done
632
633 uninstall-libsciatoms_la_etcDATA:
634         @$(NORMAL_UNINSTALL)
635         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
636         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
637         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
638 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
639         @$(NORMAL_INSTALL)
640         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
641         if test -n "$$list"; then \
642           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
643           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
644         fi; \
645         for p in $$list; do \
646           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
647           echo "$$d$$p"; \
648         done | $(am__base_list) | \
649         while read files; do \
650           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
651           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
652         done
653
654 uninstall-libsciatoms_la_guiDATA:
655         @$(NORMAL_UNINSTALL)
656         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
657         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
658         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
659 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
660         @$(NORMAL_INSTALL)
661         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
662         if test -n "$$list"; then \
663           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
664           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
665         fi; \
666         for p in $$list; do \
667           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
668           echo "$$d$$p"; \
669         done | $(am__base_list) | \
670         while read files; do \
671           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
672           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
673         done
674
675 uninstall-libsciatoms_la_rootDATA:
676         @$(NORMAL_UNINSTALL)
677         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
678         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
679         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
680 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
681         @$(NORMAL_INSTALL)
682         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
683         if test -n "$$list"; then \
684           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
685           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
686         fi; \
687         $(am__nobase_list) | while read dir files; do \
688           xfiles=; for file in $$files; do \
689             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
690             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
691           test -z "$$xfiles" || { \
692             test "x$$dir" = x. || { \
693               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
694               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
695             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
696             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
697         done
698
699 uninstall-nobase_libsciatoms_la_iconsDATA:
700         @$(NORMAL_UNINSTALL)
701         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
702         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
703         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
704 tags TAGS:
705
706 ctags CTAGS:
707
708 cscope cscopelist:
709
710
711 distdir: $(DISTFILES)
712         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
713         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
714         list='$(DISTFILES)'; \
715           dist_files=`for file in $$list; do echo $$file; done | \
716           sed -e "s|^$$srcdirstrip/||;t" \
717               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
718         case $$dist_files in \
719           */*) $(MKDIR_P) `echo "$$dist_files" | \
720                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
721                            sort -u` ;; \
722         esac; \
723         for file in $$dist_files; do \
724           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
725           if test -d $$d/$$file; then \
726             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
727             if test -d "$(distdir)/$$file"; then \
728               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
729             fi; \
730             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
731               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
732               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
733             fi; \
734             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
735           else \
736             test -f "$(distdir)/$$file" \
737             || cp -p $$d/$$file "$(distdir)/$$file" \
738             || exit 1; \
739           fi; \
740         done
741 check-am: all-am
742         $(MAKE) $(AM_MAKEFLAGS) check-local
743 check: check-am
744 all-am: Makefile $(DATA) all-local
745 installdirs:
746         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
747           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
748         done
749 install: install-am
750 install-exec: install-exec-am
751 install-data: install-data-am
752 uninstall: uninstall-am
753
754 install-am: all-am
755         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
756
757 installcheck: installcheck-am
758 install-strip:
759         if test -z '$(STRIP)'; then \
760           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
761             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
762               install; \
763         else \
764           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
765             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
766             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
767         fi
768 mostlyclean-generic:
769
770 clean-generic:
771
772 distclean-generic:
773         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
774         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
775
776 maintainer-clean-generic:
777         @echo "This command is intended for maintainers to use"
778         @echo "it deletes files that may require special tools to rebuild."
779 clean: clean-am
780
781 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
782
783 distclean: distclean-am
784         -rm -f Makefile
785 distclean-am: clean-am distclean-generic distclean-local
786
787 dvi: dvi-am
788
789 dvi-am:
790
791 html: html-am
792
793 html-am:
794
795 info: info-am
796
797 info-am:
798
799 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
800         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
801         install-nobase_libsciatoms_la_iconsDATA
802
803 install-dvi: install-dvi-am
804
805 install-dvi-am:
806
807 install-exec-am:
808
809 install-html: install-html-am
810
811 install-html-am: install-html-local
812
813 install-info: install-info-am
814
815 install-info-am:
816
817 install-man:
818
819 install-pdf: install-pdf-am
820
821 install-pdf-am:
822
823 install-ps: install-ps-am
824
825 install-ps-am:
826
827 installcheck-am:
828
829 maintainer-clean: maintainer-clean-am
830         -rm -f Makefile
831 maintainer-clean-am: distclean-am maintainer-clean-generic
832
833 mostlyclean: mostlyclean-am
834
835 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
836
837 pdf: pdf-am
838
839 pdf-am:
840
841 ps: ps-am
842
843 ps-am:
844
845 uninstall-am: uninstall-libsciatoms_la_etcDATA \
846         uninstall-libsciatoms_la_guiDATA \
847         uninstall-libsciatoms_la_rootDATA \
848         uninstall-nobase_libsciatoms_la_iconsDATA
849
850 .MAKE: check-am install-am install-strip
851
852 .PHONY: all all-am all-local check check-am check-local clean \
853         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
854         distclean distclean-generic distclean-libtool distclean-local \
855         distdir dvi dvi-am html html-am info info-am install \
856         install-am install-data install-data-am install-data-local \
857         install-dvi install-dvi-am install-exec install-exec-am \
858         install-html install-html-am install-html-local install-info \
859         install-info-am install-libsciatoms_la_etcDATA \
860         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
861         install-man install-nobase_libsciatoms_la_iconsDATA \
862         install-pdf install-pdf-am install-ps install-ps-am \
863         install-strip installcheck installcheck-am installdirs \
864         maintainer-clean maintainer-clean-generic mostlyclean \
865         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
866         tags-am uninstall uninstall-am \
867         uninstall-libsciatoms_la_etcDATA \
868         uninstall-libsciatoms_la_guiDATA \
869         uninstall-libsciatoms_la_rootDATA \
870         uninstall-nobase_libsciatoms_la_iconsDATA
871
872
873 # This target enables tests for Scilab
874 check-local: $(top_builddir)/scilab-bin test
875         if test -d $(mydatadir)/tests; then \
876           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
877         fi
878 check-code:
879         if test -f build.xml; then \
880                 $(ANT) checkstyle; \
881         fi
882         if test -x "$(SPLINT)"; then \
883                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
884         fi
885 @NEED_JAVA_TRUE@java:
886 # Some configurations needs to export JAVA_HOME in the current env
887 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
888 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
889 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
890 @NEED_JAVA_TRUE@                $(ANT); \
891 @NEED_JAVA_TRUE@        fi
892
893 @NEED_JAVA_TRUE@clean-java:
894 # Some configurations needs to export JAVA_HOME in the current env
895 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
896 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
897 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
898 @NEED_JAVA_TRUE@                $(ANT) clean; \
899 @NEED_JAVA_TRUE@        fi;
900
901 # If the user request for the SWIG generation of the wrappers Java => C/C++
902 # We call the target swig-build on the variable SWIG_WRAPPERS
903
904 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
905 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
906 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
907 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
908 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
909 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
910 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
911 @SWIG_TRUE@             done; \
912 @SWIG_TRUE@     fi
913
914 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
915 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
916 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
917 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
918 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
919 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
920 @SWIG_TRUE@             done; \
921 @SWIG_TRUE@     fi
922
923 # If the user request for the SWIG generation of the wrappers Java => C/C++
924 # We call the target swig-build on the variable SWIG_WRAPPERS
925
926 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
927 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
928 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
929 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
930 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
931 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
932 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
933 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
934 @GIWS_TRUE@                     else \
935 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
936 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
937 @GIWS_TRUE@                     fi \
938 @GIWS_TRUE@             done; \
939 @GIWS_TRUE@     fi
940
941 @GIWS_TRUE@giws-exception:
942 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
943 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
944 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
945
946 macros:
947         -@( if test ! -x $(top_builddir)/scilab-bin; then \
948                 echo "Error : Cannot build $< : Scilab has not been built"; \
949         else \
950                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
951         fi)
952
953 # Removes the macros
954 clean-macros:
955 # Removes macros (*.bin generated from .sci)
956         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
957                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
958                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
959         done
960
961 test:
962 # More tests could be added here
963         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
964         if test -f build.xml -a $$USEANT -eq 1; then \
965                 $(ANT) test; \
966         fi
967
968 all-local: $(TARGETS_ALL)
969
970 .sci.bin:
971         -@( if test ! -x $(top_builddir)/scilab-bin; then \
972         echo "Error : Cannot build $< : Scilab has not been build"; \
973         else \
974         echo "Creating $@"; \
975         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
976         fi )
977
978 install-html-local:
979
980 install-data-local-local:
981 # Mainly for javasci
982         @if test -d $(srcdir)/javadoc; then \
983                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
984         fi
985 # If the user wants the help sources to be installed
986 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
987 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
988 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
989 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
990 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
991 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
992 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
993 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
994 @INSTALL_HELP_XML_TRUE@           done ; \
995 @INSTALL_HELP_XML_TRUE@         fi; \
996 @INSTALL_HELP_XML_TRUE@  fi; \
997 @INSTALL_HELP_XML_TRUE@ done; \
998 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
999 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1000 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1001 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1002 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1003 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1004 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1005 @INSTALL_HELP_XML_TRUE@           done ; \
1006 @INSTALL_HELP_XML_TRUE@         fi; \
1007 @INSTALL_HELP_XML_TRUE@ fi
1008 install-data-local:
1009 # Install the tests
1010         @echo "-------- Install tests (if any) --------"; \
1011         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1012           if test -d $(srcdir)/$$dir/; then \
1013             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1014                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1015                     if test -d "$(srcdir)/$$dir/$$file"; then \
1016                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1017                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1018                     else \
1019                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1020                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1021                     fi \
1022                   done; \
1023           fi; \
1024         done
1025 # Install the help chapter
1026         @echo "-------- Install the help chapter (if any) --------"; \
1027         for lang in $(HELP_CHAPTERLANG); do \
1028                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1029                 if test -f $$HELPFILE; then \
1030                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1031                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1032                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1033                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1034                 fi; \
1035         done
1036 # Install the demos & examples
1037         @echo "-------- Install demos & examples (if any) --------"; \
1038         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1039           if test -d $(srcdir)/$$dir/; then \
1040             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1041                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1042                     if test -d "$(srcdir)/$$dir/$$file"; then \
1043                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1044                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1045                     else \
1046                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1047                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1048                     fi \
1049                   done; \
1050           fi; \
1051         done
1052 # Install the macros
1053         @echo "-------- Install macros (if any) --------"; \
1054         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1055           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1056                 if test -d $(srcdir)/$$dir/; then \
1057                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1058                         if test -n "$(MACROSSPECIALEXT)"; then \
1059                                 specialExtDir=""; \
1060                                 for specialExt in $(MACROSSPECIALEXT); do \
1061                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1062                                 done; \
1063                                 FILELIST="$$FILELIST $$specialExtDir"; \
1064                         fi; \
1065                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1066                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1067                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1068                   done; \
1069                 fi; \
1070         done
1071 # Install java files (.jar)
1072         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1073         echo "-------- Install jar files --------"; \
1074     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1075           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1076                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1077                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1078           done ; \
1079         fi
1080
1081 ########### CLEAN ###################
1082 # Clean help (generated automatically by Scilab)
1083 # It used to clean the macro (clean-macros) but this was causing
1084 # make clean && make to fail Scilab startup
1085 @NEED_JAVA_TRUE@clean-local: clean-java
1086 @NEED_JAVA_FALSE@clean-local:
1087
1088 distclean-local:
1089         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1090
1091 .PHONY: macros java swig giws
1092
1093 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1094 # Otherwise a system limit (for SysV at least) may be exceeded.
1095 .NOEXPORT: